> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscriptions



## OpenAPI

````yaml /swagger/openapi.json get /subscriptions
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /subscriptions:
    get:
      summary: List subscriptions
      operationId: SubscriptionsList
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: query
          name: limit
          required: false
          description: Maximum number of items to return
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 20
        - in: query
          name: cursor
          required: false
          description: Cursor for pagination
          schema:
            type: string
        - in: query
          name: filter[profile_id]
          x-go-name: FilterProfileID
          required: false
          schema:
            type: string
        - in: query
          name: filter[psp]
          x-go-name: FilterPSP
          required: false
          schema:
            type: string
        - in: query
          name: filter[funnel_id]
          x-go-name: FilterFunnelID
          required: false
          schema:
            type: string
        - in: query
          name: filter[status]
          x-go-name: FilterStatus
          required: false
          schema:
            type: string
            enum:
              - created
              - trialing
              - active
              - paused
              - cancelled
              - expired
              - unpaid
        - in: query
          name: filter[email]
          x-go-name: FilterEmail
          required: false
          schema:
            type: string
        - in: query
          name: filter[updated_at.from]
          x-go-name: FilterUpdatedAtFrom
          required: false
          description: >-
            Filter by updated_at >= this value (RFC3339, e.g.
            2024-11-01T00:00:00Z)
          schema:
            type: string
            format: date-time
        - in: query
          name: filter[updated_at.to]
          x-go-name: FilterUpdatedAtTo
          required: false
          description: >-
            Filter by updated_at < this value (RFC3339, e.g.
            2024-12-01T00:00:00Z)
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Subscriptions list
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - pagination
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - psp_id
                        - status
                        - renews
                        - sandbox
                        - created_at
                        - updated_at
                        - billing_interval
                        - billing_interval_count
                        - price
                        - currency
                        - price_usd
                        - funnel_version
                        - payment_provider
                        - period_starts_at
                      properties:
                        id:
                          type: string
                          x-go-name: ID
                        psp_id:
                          type: string
                          x-go-name: PSPID
                        status:
                          type: string
                          enum:
                            - created
                            - trialing
                            - active
                            - paused
                            - cancelled
                            - expired
                            - unpaid
                        renews:
                          type: boolean
                        sandbox:
                          type: boolean
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        billing_interval:
                          type: string
                          enum:
                            - day
                            - week
                            - month
                            - year
                        billing_interval_count:
                          type: integer
                        price:
                          type: integer
                          description: Monetary amount in cents (e.g., $1.00 = 100 cents)
                          example: 100
                        currency:
                          type: string
                        price_usd:
                          x-go-name: PriceUSD
                          type: integer
                          description: Monetary amount in cents (e.g., $1.00 = 100 cents)
                          example: 100
                        funnel_version:
                          type: integer
                        payment_provider:
                          type: string
                          enum:
                            - stripe
                            - paddle
                            - paypal
                            - braintree
                            - solidgate
                        period_starts_at:
                          type: string
                          format: date-time
                        period_ends_at:
                          type: string
                          format: date-time
                        profile:
                          type: object
                          required:
                            - id
                            - created_at
                          properties:
                            id:
                              type: string
                              x-go-name: ID
                            email:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            preview:
                              type: boolean
                        product:
                          type: object
                          required:
                            - id
                            - name
                            - status
                          properties:
                            id:
                              type: string
                              x-go-name: ID
                            name:
                              type: string
                            status:
                              type: string
                              enum:
                                - active
                                - archived
                  pagination:
                    type: object
                    required:
                      - has_more
                    properties:
                      total:
                        type: integer
                        description: Total count of items
                      has_more:
                        type: boolean
                        description: Whether there are more items available
                      next_cursor:
                        type: string
                        description: Cursor for next page
        '400':
          description: Request error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````